@import url('./variables.css');
@import url('./fonts.css');

* {
  box-sizing: border-box;
}

body {
  font-size: 14pt !important;
  font-family: var(--almohanad);
  padding: 0;
  margin: 0;
  padding-top: 18px;
}

.nav {
  border: 1px dashed gray;
  max-width: var(--content-width);
  margin: auto;
  min-height: 32px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px;
}

.nav > div {
  display: flex;
  grid-gap: 20px;
}

#page {
  user-select: text;
  padding-left: 10px;
  padding-right: 10px;
}

@supports (-ms-accelerator:true) {
  #page {
    background-position: 100% 0px !important;
  }
}



#page {
  max-width: var(--content-width);
  margin: auto;
  background-color: white;
  position: relative;
}

header {
  min-height: var(--header-height);
  color: #35a388;
}

#date, #attachment, #no {
  font-size: 13px !important;
}

.flex-header {
  display: flex;
  min-height: calc(var(--header-height) - var(--vision-height));
  line-height: 1.4;
  align-items: center;
  /* justify-content: space-between; */
  border: 1px dashed gray;
  border-bottom: unset;
  grid-gap: 80px;
}

.flex-header p {
  margin: 0;
  padding: 0;
}

.flex-header > div {
  border-bottom: none;
  
}

.flex-header > div:first-child {
  min-width: 177px;
}

.flex-header > div:nth-child(2) {
  padding-top: 8px;
  text-align: center;
}

.flex-header > div:nth-child(3) {
  line-height: 1.9;
  min-width: 170px;
  position: relative;
  right: 8px;
}

#info {
  min-width: 20%;
  position: relative;
  right: 0;
}

#info > div {
  display: flex;
  align-items: center;
}

#info span {
  font-size: 12pt;
  color: black !important;
  flex: 1;
  text-indent: 5px;
}

#logo {
  height: 2cm !important;
  display: inline-block;
  margin: auto;
}

.vision {
  border: 1px dashed gray;
  min-height: var(--vision-height);
  border-bottom: none;
  text-align: center;
  color: black;
}

.vision-wrap {
  border: 2px solid black !important;
  border-radius: 7px;
  padding: 0 10px;
  display: inline-block;
  font-family: 'AL-Mateen', sans-serif !important;
}

table {
  width: 100%;
  border-collapse: collapse;
}

table td {
  border: 1px dashed gray;
}

table thead td {
  border: none;
}

#heading {
  font-size: 16pt;
}

#heading img {
  height: 45px;
  margin-top: 5px;
}

#subject-wrapper {
  font-size: 10pt;
}

#subject {
  font-size: 12pt;
  float: left;
}

#to-wrapper {
  padding-bottom: 0px;
}

#to {
  font-weight: bold;
  display: flex;
  align-items: end;
  margin: 5px auto;
}

#to img {
  position: relative;
  top: 7.4px;
}

#to > div:first-child {
  flex: 1;
}

#start-with {
  padding: 5px auto;
}

#content-wrapper {
  max-width: var(--content-width) !important;
}

#content {
  text-align: justify;
}

#end-with {
  padding-top: 5px;
}

#approval {
  display: flex;
  justify-content: space-between;
  direction: ltr;
  position: relative;
}

#approval > div {
  line-height: 1;
}

table tfoot {
  min-height: var(--footer-height);
}

footer {
  font-size: 13pt;
}

/* ,  */

#footer {
  width: 100%;
  border: 1px dashed gray;
  border-top: none;
  padding: 0;
  margin: 0;
  color: silver;
  font-family: 'GE-SS-Two', sans-serif;
  font-size: 7.3pt !important;
  padding: 3px;
  display: flex;
  grid-gap: 5px;
  justify-content: center;
  align-items: center;
  font-weight: bold;
}

#footer-bar {
  background: rgb(40,130,173);
  background: linear-gradient(90deg, rgba(40,130,173,1) 0%, rgba(60,175,115,1) 100%);
  height: 4.5px;
  width: 100%;
}

#w-mark {
  display: none;
}

#copies {
  font-size: 11.5pt;
  line-height: 1.15;
}

#id {
  visibility: hidden;
  position: absolute;
  bottom: 15px;
  left: -18px;
  font-size: 9pt;
  font-family: Arial, sans-serif;
  font-weight: bold;
  letter-spacing: 0.5px;
  transform: rotate(-90deg) translate(50px, -23px);
}

.note-frame {
  border-radius: 0 !important;
}

.note-editable { 
  direction: rtl !important; 
  font-family: 'AL-Mohanad' !important; 
  tab-size: 2;
  hyphens: auto;
  /* max-width: calc(var(--content-width) - 24px ); */
}

.note-editable > p:nth-child(2) {
  text-indent: 1cm;
}

.note-editable table {
  direction: rtl !important;
}

.note-editable table * {
  direction: rtl !important;
}


.note-editable table tr td {
  border-color: #555 !important;
  text-align: center;
  font-size: 12pt !important;
}

.note-editable table tr  * {
  font-size: 12pt !important;
}

.note-editable table tr td  * {
  font-size: 12pt !important;
}

.jtable-block {
  display: none !important;
}

.MsoTableGrid {
  vertical-align: middle !important;
}

.MsoTableGrid * {
  font-family: 'AL-Mohanad' !important;
}

.note-editable p {
  font-family: 'AL-Mohanad' !important;
  margin-top: 0;
  margin-bottom: 0;
}

.note-editable * {
  font-size: 14pt !important;
}

.note-editable table {
  width: 100% !important;
}

.note-editable table tr {
  padding: 0 !important;
  line-height: 1.25;
}

/* .note-editable table tr:first-child {
  background-color: #ddd;
  font-weight: bold;
} */

.note-statusbar {
  display: none;
}

.text-center {
  text-align: center;
}

.text-start {
  text-align: start;
}

.text-end {
  text-align: end;
}

.hide-view {
  visibility: hidden;
}

table td {
  position: relative;
}

.add-btn {
  position: absolute;
  right: -35px;
  top: 5px;
}

.delete-btn {
  position: absolute;
  left: -35px;
}

#approval {
  margin-top: 10px;
}

#_sign-by {
  display: flex;
  flex: 1;
  justify-content: space-between
}

#_sign-by #delete-approval {
  position: relative;
  top: -140px
}

#sign-by {
  line-height: 1.5 !important;
}

#delete-approval {
  top: 6px
}

button {
  cursor: pointer;
}

a {
  font-family: sans-serif !important;
  color: black !important;
}

.btns {
  display: flex;
  grid-gap: 10px;
  position: fixed;
  top: 0px;
  right: 0px;
  flex-direction: column;
  width: 280px;
  background: #ddd;
  min-height: 100vh;
  border-left: 1px solid gray;
}

#title {
  margin: 5px 25px;
  margin-top: 15px;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.05);
  padding: 4px 10px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 4px;
  cursor: default;
}

.btns button {
  padding: 3px 14px;
  margin: 0 25px;
  font-family: var(--almohanad);
  font-size: 13pt;
  display: block;
}

#edit-btns {
  display: flex;
  flex-direction: column;
  grid-gap: 10pt;
  visibility: hidden;
}

#copyright {
  font-family: 'GE-SS-Two', sans-serif;
  font-size: 10pt;
  display: flex;
  grid-gap: 4px;
  color: black;
  text-indent: 5px;
  padding: 10px;
  justify-content: center;
}

#search-wrapper {
  border-left: none;
  border-right: none;
  border-bottom: none;
  margin: 0 10px;
}


#search {
  display: flex;
  margin: 0;
  padding: 0;
  justify-content: space-between
}

#search input {
  text-indent: 10px;
  width: 170px;
}

#search button {
  margin: 0 4px;
}

#guide {
  text-align: center;
  margin-top: auto;
}

#supports {
  text-align: center;
  margin: 0 25px;
  padding-bottom: 7px;
  border-bottom: 1px solid silver;
}

#supports i {
  font-size: 20pt;
  margin: 0 5px
}


#loading {
  position: fixed;
  z-index: 2;
  background-color: #fff;
  left: 0;
  top: 0;
  bottom: 0;
  right: 280px;
  height: 100vh;
  display: flex;
  flex-direction: column;
  grid-gap: 10px;
  justify-content: center;
  align-items: center;
}

.swal2-container, .swal2-container button {
  font-family: GE-SS-Two;
}

.fix-department {
  width: max-content !important;
  margin-right: 20px !important;
}

.checks {
  margin: 0 25px;
}

.checks span{
  display: block;
  margin-bottom: 5px;
}

#heading:empty:before {
  content: attr(data-placeholder);
  color: grey;
  display: inline-block;
}

#department {
  font-size: 12.20pt;
}

#department:empty:before {
  content: attr(data-placeholder);
  display: inline-block;
}

#copies:empty:before {
  content: attr(data-placeholder);
  display: inline-block;
  color: grey;
}

#QR-img:empty:before {
  content: attr(data-placeholder);
  display: inline-block;
  color: grey;
}

#sign-img:empty:before {
  content: attr(data-placeholder);
  display: inline-block;
  color: grey;
}

#stamp-img:empty:before {
  content: attr(data-placeholder);
  display: inline-block;
  color: grey;
}

#QR-wrap {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 10pt;
  grid-gap: 10px;
}

#QR-wrap div:nth-child(1) {
  padding: 0;
  margin: 0;
  max-height: 95px;
}


#QR-img img {
  width: 100px;
  height: 100px;
}

#subject:before {
  content: 'م / بشأن : ';
}

#sign-wrap {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: top;
  position: absolute;
  right: 0;
  top: -20px;
}

#sign-wrap  button:last-child {
  top: -57px !important;
  width: 45px;
}

#stamp-img img {
  margin-top: -11px;
  max-height: 150px;
}

#stamp-wrap {
  position: absolute;
  left: 50%;
  top: 60%;
  transform: translate(-50%, -50%);
}

#stamp-wrap button:last-child {
  top: -70px !important;
  width: 45px;
  padding: 0 10px;
}

#sign-img {
  width: 150px;
  display: flex;
  justify-content: end;
}

#sign-img img {
  max-height: 35px;
}

.drag-handle {
  height: 5px;
  background: #ddd;
  cursor: move;
}

#copy-alert {
  position: absolute;
  min-width: 85px;
  font-size: 9pt;
  font-family: sans-serif;
  padding: 8px 10px;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 0 0 10px 0 gray;
  margin: 5px 0;
  z-index: 999;
}

#symbols {
  position: fixed;
  left: 0;
  top: 0;
  background-color: #fff;
  padding: 10px;
  box-shadow: 0 0 10px 0 gray;
  border-radius: 10px;
  margin: 10px;
  max-width: 320px;
}

#symbols span {
  padding: 0 4px;
  border-radius: 5px;
}

#symbols span:hover {
  background-color: silver;
}

#qr-wrapper {
  display: flex;
  grid-gap: 5px;
  padding: 0 10px
}

#qr-wrapper > * {
  border: 1px solid;
  padding: 5px;
  font-family: 'AL-Mohanad';
  font-size: 12pt
}

#qr-wrapper > input {
  font-family: sans-serif;
  flex: 1;
}

#qrcode {
  margin-top: 10px;;
}

.note-editable img {
  position: relative;
  bottom: -7px;
  padding: 0 5px;
}